Add unit test for Polkit backend
Needs ReviewPublic

Authored by shubham on Jul 8 2019, 9:31 AM.

Details

Summary

Depends upon D22889.
This diff is relative to it's parent revision.

Diff Detail

Repository
R16 KPMCore
Branch
unittest
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 14903
Build 14921: arc lint + arc unit
shubham requested review of this revision.Jul 8 2019, 9:31 AM
shubham created this revision.
shubham updated this revision to Diff 61704.Jul 13 2019, 3:57 PM

Add QTest to cmake

shubham added inline comments.Jul 13 2019, 4:00 PM
test/testpolkitauthbackend.cpp
48

Everything compiles without this, but it shows undefined reference error when un-commented. I have seen there is no issue of parameter mismatch.

shubham edited the summary of this revision. (Show Details)Jul 13 2019, 4:03 PM

Looks alright. I'll try to compile myself and see what are those linking errors when you have those two lines uncommented...

shubham updated this revision to Diff 61749.Jul 14 2019, 4:37 PM

Rebase wrt auth-polkit-backend patch

shubham updated this revision to Diff 62665.Sun, Jul 28, 6:37 AM

Rebase wrt parent

shubham updated this revision to Diff 62742.Mon, Jul 29, 2:25 PM

Rebase wrt parent

shubham updated this revision to Diff 62743.Mon, Jul 29, 2:33 PM

Add test to revoke authorization

This revision was not accepted when it landed; it landed in state Needs Review.Mon, Jul 29, 3:19 PM
Closed by commit R16:bea38fabb049: Rebase wrt parent (authored by shubham). · Explain Why
This revision was automatically updated to reflect the committed changes.
shubham reopened this revision.Wed, Aug 7, 12:22 PM
shubham retitled this revision from [WIP]: Add unit test for Polkit backend to Add unit test for Polkit backend.
shubham edited the summary of this revision. (Show Details)
shubham updated this revision to Diff 63269.Wed, Aug 7, 12:30 PM

Rebase wrt parent

This revision was not accepted when it landed; it landed in state Needs Review.Wed, Aug 7, 12:33 PM
This revision was automatically updated to reflect the committed changes.
shubham reopened this revision.Fri, Aug 9, 1:40 PM
shubham updated this revision to Diff 63409.Fri, Aug 9, 1:40 PM

Update wrt parent